Skip to main content
`Ctrl`+`K`

# TSIFunctionFn

A prototype of a `TS` implicit function evaluation function that would be passed to `TSSetIFunction()

## Synopsis

    #include <petscts.h>
    PETSC_EXTERN_TYPEDEF typedef PetscErrorCode TSIFunctionFn(TS ts, PetscReal t, Vec U, Vec U_t, Vec F, void *ctx);

## Calling Sequence

- ts - the `TS` context obtained from `TSCreate()`

- t - time at step/stage being solved

- U - state vector

- U_t - time derivative of state vector

- F - function vector

- ctx - [optional] user-defined context for function

## Note

The deprecated `TSIFunction` still works as a replacement for `TSIFunctionFn` *.

## See Also

TS: Scalable ODE and DAE Solvers, `TS`, `TSSetIFunction()`, `DMTSSetIFunction()`, `TSIJacobianFn`, `TSRHSFunctionFn`, `TSRHSJacobianFn`

## Level

beginner

## Location

include/petscts.h

## Examples

src/ts/tutorials/ex8.c

Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages